---
name: Carlie Russell
locality:
country: Remote
role: <a href="">Senior People Business Partner</a>
reports_to: carolyn-b
picture: carlierussell.png
pronouns: she/her
pronunciation:
twitter:
linkedin: carlie-ann-russell
gitlab: carlierussell
departments:
- People Business Partners
- People Success
specialty:
expertise:
story:
job_title: Manager, People Business Partner
division: People Group
public: true

